Loading...
Searching...
No Matches
Dune::mutable_reference< R > Struct Template Reference

get the 'mutable' version of a reference to a const object More...

`#include <dune/common/genericiterator.hh>`

Inheritance diagram for Dune::mutable_reference< R >:

## Public Types

typedef R | type

## Detailed Description

template<class R>
struct Dune::mutable_reference< R >

get the 'mutable' version of a reference to a const object

given a const reference R=const T& mutable_reference<R>::type gives you the typedef for T&

## Member Typedef Documentation

## type

template<class R>

typedef R Dune::mutable_reference< R >::type

The documentation for this struct was generated from the following file:

- genericiterator.hh